/*
 * Created by victoria on 2021-05-15.
*/

#include "contactsettings.h"
#include "ui_contactsettings.h"
#include "omemodevices.h"

ContactSettings::ContactSettings(QString jid, QWidget *parent)
        : QDialog(parent), jid(std::move(jid)), m_ui(new Ui::ContactSettings()) {
    m_ui->setupUi(this);

    connect(m_ui->devicesButton, &QPushButton::clicked, this, &ContactSettings::openDeviceList);

    setWindowTitle(QString("Encryption settings for %1").arg(this->jid));
}

ContactSettings::~ContactSettings() {}

void ContactSettings::openDeviceList() {
    auto devices = new OMEMODevices(jid, this);

    devices->setAttribute(Qt::WA_DeleteOnClose);
    devices->show();
}
